"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportedDatasources = exports.defaultConfig = exports.language = exports.bumpPackageVersion = exports.updateArtifacts = exports.extractPackageFile = void 0;
const dotnet_1 = require("../../datasource/dotnet");
const nuget_1 = require("../../datasource/nuget");
var extract_1 = require("./extract");
Object.defineProperty(exports, "extractPackageFile", { enumerable: true, get: function () { return extract_1.extractPackageFile; } });
var artifacts_1 = require("./artifacts");
Object.defineProperty(exports, "updateArtifacts", { enumerable: true, get: function () { return artifacts_1.updateArtifacts; } });
var update_1 = require("./update");
Object.defineProperty(exports, "bumpPackageVersion", { enumerable: true, get: function () { return update_1.bumpPackageVersion; } });
exports.language = 'dotnet';
exports.defaultConfig = {
    fileMatch: [
        '\\.(?:cs|fs|vb)proj$',
        '\\.(?:props|targets)$',
        '(^|\\/)dotnet-tools\\.json$',
        '(^|\\/)global\\.json$',
    ],
};
exports.supportedDatasources = [dotnet_1.DotnetDatasource.id, nuget_1.NugetDatasource.id];
//# sourceMappingURL=index.js.map